# Interface ICefValue

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefValue = interface(ICefBaseRefCounted)`

## Description

Interface that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_value_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefValue

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsOwned: Boolean;`
| `function IsReadOnly: Boolean;`
| `function IsSame(const that: ICefValue): Boolean;`
| `function IsEqual(const that: ICefValue): Boolean;`
| `function Copy: ICefValue;`
| `function GetType: TCefValueType;`
| `function GetBool: Boolean;`
| `function GetInt: Integer;`
| `function GetDouble: Double;`
| `function GetString: ustring;`
| `function GetBinary: ICefBinaryValue;`
| `function GetDictionary: ICefDictionaryValue;`
| `function GetList: ICefListValue;`
| `function SetNull: Boolean;`
| `function SetBool(value: boolean): Boolean;`
| `function SetInt(value: Integer): Boolean;`
| `function SetDouble(value: Double): Boolean;`
| `function SetString(const value: ustring): Boolean;`
| `function SetBinary(const value: ICefBinaryValue): Boolean;`
| `function SetDictionary(const value: ICefDictionaryValue): Boolean;`
| `function SetList(const value: ICefListValue): Boolean;`

## Description

### Methods

| `function IsValid: Boolean;`
Returns true (1) if the underlying data is valid. This will always be true (1) for simple types. For complex types (binary, dictionary and list) the underlying data may become invalid if owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. This value object can be re-used by calling Set*() even if the underlying data is invalid. ###### Attributes GUID['{66F9F439-B12B-4EC3-A945-91AE4EF4D4BA}']

| `function IsOwned: Boolean;`
Returns true (1) if the underlying data is owned by another object.

| `function IsReadOnly: Boolean;`
Returns true (1) if the underlying data is read-only. Some APIs may expose read-only objects.

| `function IsSame(const that: ICefValue): Boolean;`
Returns true (1) if this object and |that| object have the same underlying data. If true (1) modifications to this object will also affect |that| object and vice-versa.

| `function IsEqual(const that: ICefValue): Boolean;`
Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

| `function Copy: ICefValue;`
Returns a copy of this object. The underlying data will also be copied.

| `function GetType: TCefValueType;`
Returns the underlying value type.

| `function GetBool: Boolean;`
Returns the underlying value as type bool.

| `function GetInt: Integer;`
Returns the underlying value as type int.

| `function GetDouble: Double;`
Returns the underlying value as type double.

| `function GetString: ustring;`
Returns the underlying value as type string.

| `function GetBinary: ICefBinaryValue;`
Returns the underlying value as type binary. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_binary().

| `function GetDictionary: ICefDictionaryValue;`
Returns the underlying value as type dictionary. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_dictionary().

| `function GetList: ICefListValue;`
Returns the underlying value as type list. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_list().

| `function SetNull: Boolean;`
Sets the underlying value as type null. Returns true (1) if the value was set successfully.

| `function SetBool(value: boolean): Boolean;`
Sets the underlying value as type bool. Returns true (1) if the value was set successfully.

| `function SetInt(value: Integer): Boolean;`
Sets the underlying value as type int. Returns true (1) if the value was set successfully.

| `function SetDouble(value: Double): Boolean;`
Sets the underlying value as type double. Returns true (1) if the value was set successfully.

| `function SetString(const value: ustring): Boolean;`
Sets the underlying value as type string. Returns true (1) if the value was set successfully.

| `function SetBinary(const value: ICefBinaryValue): Boolean;`
Sets the underlying value as type binary. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.

| `function SetDictionary(const value: ICefDictionaryValue): Boolean;`
Sets the underlying value as type dict. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.

| `function SetList(const value: ICefListValue): Boolean;`
Sets the underlying value as type list. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.

Generated by PasDoc 0.16.0-snapshot.